	Формула Ньютона-Лейбница

# Формулировка формулы Ньютона-Лейбница
Пусть функция $f(x)$ непрерывна на отрезке $[a, b]$, и пусть $F(x)$ - любая первообразная функции $f(x)$ на этом отрезке. Тогда определенный интеграл от функции $f(x)$ на отрезке $[a, b]$ можно вычислить по формуле:

$$
\int_a^b f(x) \, dx = F(b) - F(a).
$$

Здесь $F(b)$ и $F(a)$ - значения первообразной функции в точках $b$ и $a$, соответственно.

## Геометрический смысл формулы Ньютона-Лейбница
Геометрически формула Ньютона-Лейбница означает, что площадь, ограниченная графиком непрерывной функции $f(x)$, осью абсцисс и прямыми $x = a$ и $x = b$, равна разности значений первообразной функции $F(x)$ в точках $b$ и $a$.

## Примеры применения формулы Ньютона-Лейбница
Рассмотрим несколько примеров вычисления определенных интегралов с помощью формулы Ньютона-Лейбница:

1. Вычислим интеграл $\int_0^1 x^2 \, dx$.
	Первообразная функции $f(x) = x^2$ имеет вид $F(x) = \frac{x^3}{3}$. Применяя формулу Ньютона-Лейбница, получаем:
	$$
	\int_0^1 x^2 \, dx = F(1) - F(0) = \frac{1^3}{3} - \frac{0^3}{3} = \frac{1}{3}.
	$$

2.  Вычислим интеграл $\int_1^e \frac{1}{x} \, dx$.
	Первообразная функции $f(x) = \frac{1}{x}$ имеет вид $F(x) = \ln|x|$. Применяя формулу Ньютона-Лейбница, получаем:
	
	$$
	\int_1^e \frac{1}{x} \, dx = F(e) - F(1) = \ln|e| - \ln|1| = 1.
	$$

## Свойства определенного интеграла, следующие из формулы Ньютона-Лейбница
Формула Ньютона-Лейбница позволяет доказать многие свойства определенного интеграла, такие как линейность, аддитивность, неравенство и другие. Например, из формулы Ньютона-Лейбница следует, что определенный интеграл линеен:

$$
\int_a^b (\alpha f(x) + \beta g(x)) \, dx = \alpha \int_a^b f(x) \, dx + \beta \int_a^b g(x) \, dx,
$$

где $\alpha$ и $\beta$ - константы.
