	Понятие функции двух переменных

# Определение
Функцией двух переменных называется отображение, которое каждой паре значений $(x, y)$ из некоторого подмножества $D$ плоскости $\mathbb{R}^2$ ставит в соответствие некоторое число $z$. Это число обозначается $z = f(x, y)$ и называется значением функции $f$ в точке $(x, y)$. Множество $D$ называется областью определения функции $f$.

$f: D \subseteq \mathbb{R}^2 \rightarrow \mathbb{R}, \quad (x, y) \mapsto z = f(x, y)$

# Примеры
1. $f(x, y) = x^2 + y^2$
2. $f(x, y) = \sin(x + y)$
3. $f(x, y) = xy^2 + 3x - 2y$

# График функции двух переменных
Графиком функции $z = f(x, y)$ называется множество всех точек $(x, y, z)$ в пространстве $\mathbb{R}^3$, координаты которых удовлетворяют уравнению $z = f(x, y)$.

$G_f = \{(x, y, z) \in \mathbb{R}^3 \mid z = f(x, y), (x, y) \in D \}$

# Область определения
Областью определения функции $f(x, y)$ называется множество всех таких пар $(x, y)$, для которых существует значение функции $f(x, y)$.

$D_f = \{(x, y) \in \mathbb{R}^2 \mid \exists f(x, y) \}$

## Примеры:

1. $f(x, y) = \sqrt{x^2 - y^2}$
	Областью определения этой функции будет множество всех таких пар $(x, y)$, для которых $x^2 - y^2 \geq 0$.
	
	$D_f = \{(x, y) \in \mathbb{R}^2 \mid x^2 - y^2 \geq 0 \}$

2. $f(x, y) = \ln(x + y)$
	Областью определения этой функции будет множество всех таких пар $(x, y)$, для которых $x + y > 0$.
	
	$D_f = \{(x, y) \in \mathbb{R}^2 \mid x + y > 0 \}$
