	Уравнение касательной плоскости к поверхности

# Определение
Пусть $z = f(x, y)$ - поверхность, заданная в некоторой окрестности точки $(x_0, y_0, z_0)$, где $z_0 = f(x_0, y_0)$. Касательной плоскостью к поверхности $z = f(x, y)$ в точке $(x_0, y_0, z_0)$ называется плоскость, проходящая через точку $(x_0, y_0, z_0)$ и имеющая направленный вектор, перпендикулярный вектору нормали к поверхности $z = f(x, y)$ в точке $(x_0, y_0, z_0)$.

Вектор нормали к поверхности $z = f(x, y)$ в точке $(x_0, y_0, z_0)$ можно найти по формуле:
$$
\mathbf{n} = \left(f'_x(x_0, y_0), f'_y(x_0, y_0), -1\right)
$$

Уравнение касательной плоскости к поверхности $z = f(x, y)$ в точке $(x_0, y_0, z_0)$ можно записать в следующем виде:
$$
(x - x_0)f'_x(x_0, y_0) + (y - y_0)f'_y(x_0, y_0) - (z - z_0) = 0
$$

# Примеры
1. Найти уравнение касательной плоскости к поверхности $z = x^2 + y^2$ в точке $(1, 2, 5)$.
	**Решение**:
	
	Найдем частные производные функции $z = x^2 + y^2$:
	$$
	f'_x(x, y) = 2x, \quad f'_y(x, y) = 2y
	$$
	
	Подставим значения $x = 1$ и $y = 2$:
	$$
	f'_x(1, 2) = 2, \quad f'_y(1, 2) = 4
	$$
	
	Найдем вектор нормали к поверхности $z = x^2 + y^2$ в точке $(1, 2, 5)$:
	$$
	\mathbf{n} = \left(f'_x(1, 2), f'_y(1, 2), -1\right) = \left(2, 4, -1\right)
	$$
	
	Найдем уравнение касательной плоскости к поверхности $z = x^2 + y^2$ в точке $(1, 2, 5)$:
	$$
	(x - 1) \cdot 2 + (y - 2) \cdot 4 - (z - 5) = 0
	$$
	
	Раскроем скобки и приведем уравнение к каноническому виду:
	$$
	2x + 4y - z = 3
	$$
	
	**Ответ**: $2x + 4y - z = 3$.

2. Найти уравнение касательной плоскости к поверхности $z = \sin(x + y)$ в точке $(\pi/4, \pi/4, 1)$.
	**Решение**:
	
	Найдем частные производные функции $z = \sin(x + y)$:
	$$
	f'_x(x, y) = \cos(x + y), \quad f'_y(x, y) = \cos(x + y)
	$$
	
	Подставим значения $x = \pi/4$ и $y = \pi/4$:
	$$
	f'_x(\pi/4, \pi/4) = \cos(\pi/2) = 0, \quad f'_y(\pi/4, \pi/4) = \cos(\pi/2) = 0
	$$
	
	Заметим, что частные производные функции $z = \sin(x + y)$ в точке $(\pi/4, \pi/4, 1)$ равны нулю. Это означает, что касательная плоскость к поверхности $z = \sin(x + y)$ в точке $(\pi/4, \pi/4, 1)$ горизонтальна.
	
	Найдем уравнение касательной плоскости к поверхности $z = \sin(x + y)$ в точке $(\pi/4, \pi/4, 1)$:
	$$
	z = 1
	$$
	
	**Ответ**: $z = 1$.
