	Производная по направлению. Градиент

# Определение
Пусть $z = f(x, y)$ - функция двух переменных, заданная в некоторой окрестности точки $(x_0, y_0)$. Производной функции $f(x, y)$ по направлению вектора $\mathbf{l} = (l_1, l_2)$ в точке $(x_0, y_0)$ называется предел:
$$
\lim_{t \rightarrow 0} \frac{f(x_0 + tl_1, y_0 + tl_2) - f(x_0, y_0)}{t}
$$

Обозначается она следующим образом:
$$
\frac{df}{dt}(x_0, y_0) \text{ или } \nabla f(x_0, y_0) \cdot \mathbf{l}
$$

Градиентом функции $f(x, y)$ в точке $(x_0, y_0)$ называется вектор, составленный из частных производных функции $f(x, y)$ по переменным $x$ и $y$ в точке $(x_0, y_0)$:
$$
\nabla f(x_0, y_0) = \left(f'_x(x_0, y_0), f'_y(x_0, y_0)\right)
$$

# Свойства
1. Линейность производной по направлению:
	$$
	\frac{d(kf(x, y))}{dt} = k\frac{df(x, y)}{dt}, \quad \frac{d(f(x, y) \pm g(x, y))}{dt} = \frac{df(x, y)}{dt} \pm \frac{dg(x, y)}{dt}
	$$

2. Произведение функций:
	$$
	\frac{d(f(x, y) \cdot g(x, y))}{dt} = f(x, y) \cdot \frac{dg(x, y)}{dt} + g(x, y) \cdot \frac{df(x, y)}{dt}
	$$

3. Частное функций:
	$$
	\frac{d\left(\frac{f(x, y)}{g(x, y)}\right)}{dt} = \frac{g(x, y) \cdot \frac{df(x, y)}{dt} - f(x, y) \cdot \frac{dg(x, y)}{dt}}{g^2(x, y)}
	$$

4. Связь производной по направлению и градиента:
	$$
	\frac{df}{dt}(x_0, y_0) = \nabla f(x_0, y_0) \cdot \mathbf{l}
	$$

5. Направление максимального увеличения функции:
	Направление максимального увеличения функции $f(x, y)$ в точке $(x_0, y_0)$ задается вектором градиента $\nabla f(x_0, y_0)$.

# Примеры
1. Найти производную функции $f(x, y) = x^2y + 3xy^2$ по направлению вектора $\mathbf{l} = (2, 3)$ в точке $(1, 2)$.
	**Решение**:
	
	Найдем частные производные функции $f(x, y) = x^2y + 3xy^2$:
	$$
	f'_x(x, y) = 2xy + 3y^2, \quad f'_y(x, y) = x^2 + 6xy
	$$
	
	Подставим значения $x = 1$ и $y = 2$:
	$$
	f'_x(1, 2) = 16, \quad f'_y(1, 2) = 13
	$$
	
	Найдем вектор градиента функции $f(x, y) = x^2y + 3xy^2$ в точке $(1, 2)$:
	$$
	\nabla f(1, 2) = \left(f'_x(1, 2), f'_y(1, 2)\right) = \left(16, 13\right)
	$$
	
	Найдем производную функции $f(x, y) = x^2y + 3xy^2$ по направлению вектора $\mathbf{l} = (2, 3)$ в точке $(1, 2)$:
	$$
	\frac{df}{dt}(1, 2) = \nabla f(1, 2) \cdot \mathbf{l} = \left(16, 13\right) \cdot \left(2, 3\right) = 32 + 39 = 71
	$$
	
	**Ответ**: $\frac{df}{dt}(1, 2) = 71$.

2. Найти направление максимального увеличения функции $f(x, y) = x^2y + 3xy^2$ в точке $(1, 2)$.
	**Решение**:
	
	Найдем вектор градиента функции $f(x, y) = x^2y + 3xy^2$ в точке $(1, 2)$:
	$$
	\nabla f(1, 2) = \left(f'_x(1, 2), f'_y(1, 2)\right) = \left(16, 13\right)
	$$
	
	Направление максимального увеличения функции $f(x, y) = x^2y + 3xy^2$ в точке $(1, 2)$ задается вектором градиента $\nabla f(1, 2) = \left(16, 13\right)$.
	
	**Ответ**: $\nabla f(1, 2) = \left(16, 13\right)$.
