	Формула Тейлора для функции двух переменных с остаточным членом в форме Пеано.

# Определение
Пусть $z = f(x, y)$ - функция двух переменных, заданная в некоторой окрестности точки $(x_0, y_0)$. Формула Тейлора для функции $f(x, y)$ в точке $(x_0, y_0)$ с остаточным членом в форме Пеано имеет следующий вид:
$$
f(x, y) = f(x_0, y_0) + f'_x(x_0, y_0)(x - x_0) + f'_y(x_0, y_0)(y - y_0) + o(\sqrt{(x - x_0)^2 + (y - y_0)^2})
$$

Здесь $f'_x(x_0, y_0)$ и $f'_y(x_0, y_0)$ - частные производные функции $f(x, y)$ по переменным $x$ и $y$ соответственно в точке $(x_0, y_0)$, $o(\sqrt{(x - x_0)^2 + (y - y_0)^2})$ - остаточный член в форме Пеано.

> [!Замечание]
> Остаточный член в форме Пеано означает, что существует такая функция $\alpha(x, y)$, что:
> $$
> o(\sqrt{(x - x_0)^2 + (y - y_0)^2}) = \sqrt{(x - x_0)^2 + (y - y_0)^2} \cdot\alpha(x, y)
> $$
> причем $\alpha(x, y) \rightarrow 0$ при $(x, y) \rightarrow (x\_0, y\_0)$.

# Свойства
1. Линейность:
	$$
	(kf(x, y))'_{x} = kf'_{x}(x, y), \quad (kf(x, y))'_{y} = kf'_{y}(x, y)
	$$
	
	$$
	(f(x, y) \pm g(x, y))'_{x} = f'_{x}(x, y) \pm g'_{x}(x, y), \quad (f(x, y) \pm g(x, y))'_{y} = f'_{y}(x, y) \pm g'_{y}(x, y)
	$$

2. Произведение функций:
	$$
	(f(x, y) \cdot g(x, y))'_{x} = f'_{x}(x, y) \cdot g(x, y) + f(x, y) \cdot g'_{x}(x, y)
	$$
	
	$$
	(f(x, y) \cdot g(x, y))'_{y} = f'_{y}(x, y) \cdot g(x, y) + f(x, y) \cdot g'_{y}(x, y)
	$$

3. Частное функций:
	$$
	\left(\frac{f(x, y)}{g(x, y)}\right)'_{x} = \frac{f'_{x}(x, y) \cdot g(x, y) - f(x, y) \cdot g'_{x}(x, y)}{g^2(x, y)}
	$$
	
	$$
	\left(\frac{f(x, y)}{g(x, y)}\right)'_{y} = \frac{f'_{y}(x, y) \cdot g(x, y) - f(x, y) \cdot g'_{y}(x, y)}{g^2(x, y)}
	$$

4. Связь между частными производными и дифференциалами:
	$$
	df = f'_x(x, y)dx + f'_y(x, y)dy
	$$

5. Формула Тейлора для функции двух переменных с остаточным членом в форме Пеано:
	$$
	f(x, y) = f(x_0, y_0) + f'_x(x_0, y_0)(x - x_0) + f'_y(x_0, y_0)(y - y_0) + o(\sqrt{(x - x_0)^2 + (y - y_0)^2})
	$$

# Примеры
1. Найти частные производные первого порядка и дифференциал функции $f(x, y) = x^2y + 3xy^2$ в точке $(1, 2)$.
	**Решение**:
	
	Найдем частные производные первого порядка функции $f(x, y) = x^2y + 3xy^2$:
	
	$$
	f'_x(x, y) = 2xy + 3y^2, \quad f'_y(x, y) = x^2 + 6xy
	$$
	
	Подставим значения $x = 1$ и $y = 2$:
	
	$$
	f'_x(1, 2) = 16, \quad f'_y(1, 2) = 13
	$$
	
	Найдем дифференциал функции $f(x, y) = x^2y + 3xy^2$ в точке $(1, 2)$:
	
	$$
	df = f'_x(1, 2)dx + f'_y(1, 2)dy = 16dx + 13dy
	$$
	
	**Ответ**: $f'_x(1, 2) = 16, f'_y(1, 2) = 13, df = 16dx + 13dy$.

2. Найти приближенное значение функции $f(x, y) = x^2y + 3xy^2$ в точке $(1,1, 2, 201)$ с помощью формулы Тейлора с остаточным членом в форме Пеано.
	**Решение**:
	
	Воспользуемся формулой Тейлора для функции $f(x, y) = x^2y + 3xy^2$ в точке $(1, 1)$:
	
	$$
	f(x, y) = f(1, 1) + f'_x(1, 1)(x - 1) + f'_y(1, 1)(y - 1) + o(\sqrt{(x - 1)^2 + (y - 1)^2})
	$$
	
	Найдем значения функции и частных производных в точке $(1, 1)$:
	
	$$
	f(1, 1) = 1^2 \cdot 1 + 3 \cdot 1 \cdot 1^2 = 4
	$$
	
	$$
	f'_x(1, 1) = 2 \cdot 1 \cdot 1 + 3 \cdot 1^2 = 5
	$$
	
	$$
	f'_y(1, 1) = 1^2 + 6 \cdot 1 \cdot 1 = 7
	$$
	
	Подставим значения $x = 2,01$ и $y = 2,02$:
	
	$$
	f(2,01, 2,02) \approx 4 + 5(2,01 - 1) + 7(2,02 - 1) = 25,13
	$$
	
	**Ответ**: $f(2,01, 2,02) \approx 25,13$.

