>Понятие обыкновенного ДУ, порядок ДУ, решение ДУ.

Определение:

Обыкновенным дифференциальным уравнением (ОДУ) называется уравнение, содержащее неизвестную функцию одной переменной и ее производные. ОДУ записывается в виде равенства двух выражений, содержащих неизвестную функцию и ее производные.

>Пусть $y = y(x)$ - неизвестная функция одной переменной $x$. Тогда обыкновенное дифференциальное уравнение имеет вид:
>$$
>F(x, y, y', y'', ..., y^{(n)}) = 0
>$$
>где $F$ - некоторая функция от $x, y, y', y'', ..., y^{(n)}$, $y'$ - первая производная функции $y$ по переменной $x$, $y''$ - вторая производная функции $y$ по переменной $x$, ..., $y^{(n)}$ - $n$-я производная функции $y$ по переменной $x$.

Порядком ОДУ называется наибольший порядок производной неизвестной функции, входящей в уравнение.
>Порядком ОДУ называется наибольший порядок производной неизвестной функции, входящей в уравнение, т.е. $n$.

Решением ОДУ называется любая функция, удовлетворяющая этому уравнению на некотором интервале.

>Решением ОДУ называется любая функция $\phi(x)$, удовлетворяющая этому уравнению на некотором интервале, т.е. такая, что:
>$$
>F(x, \phi(x), \phi'(x), \phi''(x), ..., \phi^{(n)}(x)) = 0
>$$
>для всех $x$ из некоторого интервала.

Изоклинами называются кривые на фазовой плоскости $(x, y)$, соответствующие решениям ОДУ с постоянным значением производной $y'$. Изоклины позволяют визуализировать поведение решений ОДУ и определить их свойства.

Примеры:

1. Найти решение ОДУ первого порядка:

$$
y' + 2y = 0
$$

Решение:

Разделим обе части уравнения на $e^{2x}$:

$$
\frac{y'}{e^{2x}} + \frac{2y}{e^{2x}} = 0
$$

Заметим, что левая часть уравнения является производной функции $ye^{-2x}$:

$$
(ye^{-2x})' = 0
$$

Интегрируем обе части уравнения:

$$
ye^{-2x} = C
$$

где $C$ - произвольная постоянная.

Решение ОДУ:

$$
y = Ce^{2x}
$$

Ответ: Общее решение ОДУ $y' + 2y = 0$ имеет вид $y = Ce^{2x}$.

2. Найти решение ОДУ второго порядка:

$$
y'' - 3y' + 2y = 0
$$

Решение:

Найдем характеристический многочлен уравнения:

$$
\lambda^2 - 3\lambda + 2 = 0
$$

Найдем корни характеристического многочлена:

$$
\lambda_1 = 1, \quad \lambda_2 = 2
$$

Так как корни характеристического многочлена различны, то общее решение ОДУ имеет вид:

$$
y = C_1e^{\lambda_1x} + C_2e^{\lambda_2x} = C_1e^{x} + C_2e^{2x}
$$

где $C_1$ и $C_2$ - произвольные постоянные.

Ответ: Общее решение ОДУ $y'' - 3y' + 2y = 0$ имеет вид $y = C_1e^{x} + C_2e^{2x}$.

3. Найти изоклины ОДУ первого порядка:

$$
y' = x - y
$$

Решение:

Запишем уравнение изоклин:

$$
y' = C
$$

где $C$ - произвольная постоянная.

Решим это уравнение относительно $y$:

$$
y = x - C
$$

Ответ: Изоклины ОДУ $y' = x - y$ имеют вид $y = x - C$.

