>Линейное неоднородное ДУ второго порядка с постоянными коэффициентами. Теорема о структуре общего решения линейного неоднородного уравнения. Метод вариации произвольных постоянных.

1. Линейное неоднородное ДУ второго порядка с постоянными коэффициентами

Линейное неоднородное дифференциальное уравнение второго порядка с постоянными коэффициентами имеет вид:

$$
a y''(x) + b y'(x) + c y(x) = f(x) \tag{1}
$$

где $a, b, c$ - постоянные коэффициенты, $a \neq 0$, $y = y(x)$ - неизвестная функция, $x$ - независимая переменная, $y'$ и $y''$ - первая и вторая производные функции $y(x)$ по переменной $x$, $f(x)$ - непрерывная функция на некотором интервале.

2. Теорема о структуре общего решения линейного неоднородного уравнения

Теорема. Общее решение линейного неоднородного дифференциального уравнения второго порядка (1) представляет собой сумму общего решения соответствующего однородного уравнения (1) при $f(x) \equiv 0$ и одного частного решения уравнения (1):

$$
y(x) = y_0(x) + y_p(x) \tag{2}
$$

где $y_0(x)$ - общее решение однородного уравнения, $y_p(x)$ - частное решение неоднородного уравнения (1).

3. Метод вариации произвольных постоянных

Для нахождения частного решения $y_p(x)$ неоднородного уравнения (1) можно воспользоваться методом вариации произвольных постоянных. Этот метод основан на следующей идее: предположим, что функция $y_p(x)$ имеет вид:

$$
y_p(x) = C_1(x) y_1(x) + C_2(x) y_2(x) \tag{3}
$$

где $y_1(x)$ и $y_2(x)$ - линейно независимые решения однородного уравнения, $C_1(x)$ и $C_2(x)$ - некоторые дифференцируемые функции от $x$. Подставим функцию (3) в уравнение (1) и найдем функции $C_1(x)$ и $C_2(x)$.

4. Алгоритм метода вариации произвольных постоянных

- Найти фундаментальную систему решений $y_1(x)$, $y_2(x)$ однородного уравнения (1) при $f(x) \equiv 0$.

- Построить определитель Виронского $W(x)$:

$$
W(x) = \begin{vmatrix}
y_1(x) & y_2(x) \\
y'_1(x) & y'_2(x)
\end{vmatrix}
$$

- Вычислить функции $C_1(x)$ и $C_2(x)$ по формулам:

$$
C_1(x) = -\int \frac{y_2(x) f(x)}{W(x)} dx, \quad C_2(x) = \int \frac{y_1(x) f(x)}{W(x)} dx
$$

- Найти частное решение $y_p(x)$ по формуле (3) и построить общее решение $y(x)$ по формуле (2).

5. Примеры решения линейных неоднородных ДУ второго порядка с постоянными коэффициентами

Рассмотрим несколько примеров решения линейных неоднородных дифференциальных уравнений второго порядка с постоянными коэффициентами.

Пример 1. Решить уравнение:

$$
y'' + y = \sin(x)
$$

Решение. Найдем фундаментальную систему решений однородного уравнения:

$$
y_1(x) = \cos(x), \quad y_2(x) = \sin(x)
$$

Определитель Виронского:

$$
W(x) = \begin{vmatrix}
\cos(x) & \sin(x) \\
-\sin(x) & \cos(x)
\end{vmatrix} = 1
$$

Функции $C_1(x)$ и $C_2(x)$:

$$
C_1(x) = -\int \sin(x) \sin(x) dx = -\frac{1}{2} \int (1 - \cos(2x)) dx = -\frac{1}{2}x + \frac{1}{4} \sin(2x)
$$

$$
C_2(x) = \int \cos(x) \sin(x) dx = \frac{1}{2} \int \sin(2x) dx = -\frac{1}{4} \cos(2x)
$$

Частное решение:

$$
y_p(x) = C_1(x) y_1(x) + C_2(x) y_2(x) = -\frac{1}{2}x \cos(x) + \frac{1}{4} \sin(2x) \cos(x) - \frac{1}{4} \cos(2x) \sin(x)
$$

Общее решение:

$$
y(x) = C_1 \cos(x) + C_2 \sin(x) -\frac{1}{2}x \cos(x) + \frac{1}{4} \sin(2x) \cos(x) - \frac{1}{4} \cos(2x) \sin(x)
$$

Пример 2. Решить уравнение:

$$
y'' - 3y' + 2y = e^{x}
$$

Решение. Найдем фундаментальную систему решений однородного уравнения:

$$
y_1(x) = e^{x}, \quad y_2(x) = e^{2x}
$$

Определитель Виронского:

$$
W(x) = \begin{vmatrix}
e^{x} & e^{2x} \\
e^{x} & 2e^{2x}
\end{vmatrix} = e^{3x}
$$

Функции $C_1(x)$ и $C_2(x)$:

$$
C_1(x) = -\int \frac{e^{2x} e^{x}}{e^{3x}} dx = -\int dx = -x
$$

$$
C_2(x) = \int \frac{e^{x} e^{x}}{e^{3x}} dx = \int dx = x
$$

Частное решение:

$$
y_p(x) = C_1(x) y_1(x) + C_2(x) y_2(x) = -x e^{x} + x e^{2x}
$$

Общее решение:

$$
y(x) = C_1 e^{x} + C_2 e^{2x} -x e^{x} + x e^{2x}
$$
