>ДУ 1-го порядка с разделяющимися переменными: понятие, метод интегрирования.

Определение:

Дифференциальным уравнением 1-го порядка с разделяющимися переменными называется уравнение вида:

$$
y' = f(x)g(y)
$$

где $f(x)$ и $g(y)$ - некоторые функции от переменных $x$ и $y$ соответственно.

Метод интегрирования дифференциальных уравнений 1-го порядка с разделяющимися переменными состоит в следующем:

1. Разделим обе части уравнения на $g(y)$:

$$
\frac{y'}{g(y)} = f(x)
$$

2. Интегрируем обе части уравнения по переменной $x$:

$$
\int \frac{y'}{g(y)} dx = \int f(x) dx + C
$$

где $C$ - произвольная постоянная.

3. Заменим $y'$ на $dy/dx$ и проинтегрируем левую часть уравнения по переменной $y$:

$$
\int \frac{1}{g(y)} dy = \int f(x) dx + C
$$

4. Найдем решение уравнения относительно $y$.

Пример:

Рассмотрим следующее дифференциальное уравнение:

$$
y' = \frac{x}{y}
$$

Это уравнение имеет вид $y' = f(x)g(y)$, где $f(x) = x$, $g(y) = 1/y$. Следовательно, это уравнение с разделяющимися переменными.

Решим это уравнение методом интегрирования:

1. Разделим обе части уравнения на $g(y)$:

$$
y'y = x
$$

2. Интегрируем обе части уравнения по переменной $x$:

$$
\int y'y dx = \int x dx + C
$$

3. Заменим $y'$ на $dy/dx$ и проинтегрируем левую часть уравнения по переменной $y$:

$$
\int y dy = \int x dx + C
$$

4. Найдем решение уравнения относительно $y$:

$$
\frac{y^2}{2} = \frac{x^2}{2} + C
$$

$$
y = \pm \sqrt{x^2 + 2C}
$$

Ответ: Решение нашего дифференциального уравнения имеет вид $y = \pm \sqrt{x^2 + 2C}$.
