>ДУ в полных дифференциалах. Необходимое и достаточное условие уравнения в полных дифференциалах. Восстановление функции по ее полному дифференциалу.

1. Дифференциальные уравнения в полных дифференциалах

Дифференциальное уравнение 1-го порядка вида

$$
M(x, y) dx + N(x, y) dy = 0 \tag{1}
$$

называется дифференциальным уравнением в полных дифференциалах, если существует функция $u(x, y)$, такая что

$$
du = M(x, y) dx + N(x, y) dy \tag{2}
$$

Функция $u(x, y)$ в этом случае называется первообразной дифференциального уравнения (1).

2. Необходимое и достаточное условие уравнения в полных дифференциалах

Теорема. Для того, чтобы дифференциальное уравнение (1) было уравнением в полных дифференциалах, необходимо и достаточно, чтобы выполнялось следующее условие:

$$
\frac{\partial M}{\partial y} = \frac{\partial N}{\partial x} \tag{3}
$$

Это условие называется условием интегрируемости дифференциального уравнения (1).

3. Восстановление функции по ее полному дифференциалу

Если дифференциальное уравнение (1) является уравнением в полных дифференциалах, то его можно решить, восстановив функцию $u(x, y)$ по ее полному дифференциалу (2). Для этого необходимо:

- Вычислить частные производные $\frac{\partial u}{\partial x}$ и $\frac{\partial u}{\partial y}$ из уравнения (2):

$$
\frac{\partial u}{\partial x} = M(x, y), \quad \frac{\partial u}{\partial y} = N(x, y)
$$

- Интегрировать одну из этих частных производных по соответствующей переменной, считая другую переменную постоянной. Например, интегрируем $\frac{\partial u}{\partial x}$ по $x$:

$$
u(x, y) = \int M(x, y) dx + \varphi(y)
$$

Здесь $\varphi(y)$ - произвольная функция от $y$, которая появляется при интегрировании по $x$.

- Найти производную $u(x, y)$ по другой переменной ($\frac{\partial u}{\partial y}$) и сравнить ее с $N(x, y)$:

$$
\frac{\partial u}{\partial y} = \frac{\partial}{\partial y} \left( \int M(x, y) dx \right) + \varphi'(y) = N(x, y)
$$

- Из последнего равенства определить функцию $\varphi(y)$ и подставить ее в выражение для $u(x, y)$.

4. Примеры решения ДУ в полных дифференциалах

Рассмотрим несколько примеров решения дифференциальных уравнений в полных дифференциалах.

Пример 1. Решить уравнение:
$$
(2xy + y^2) dx + (x^2 + 2xy) dy = 0 \tag{4}
$$

Решение. Проверим условие интегрируемости (3):

$$
\frac{\partial M}{\partial y} = \frac{\partial}{\partial y} (2xy + y^2) = 2x + 2y, \quad \frac{\partial N}{\partial x} = \frac{\partial}{\partial x} (x^2 + 2xy) = 2x + 2y
$$

Условие интегрируемости выполняется, значит, уравнение (4) является уравнением в полных дифференциалах. Восстановим функцию $u(x, y)$ по ее полному дифференциалу:

$$
du = (2xy + y^2) dx + (x^2 + 2xy) dy
$$

Найдем частные производные $\frac{\partial u}{\partial x}$ и $\frac{\partial u}{\partial y}$:

$$
\frac{\partial u}{\partial x} = 2xy + y^2, \quad \frac{\partial u}{\partial y} = x^2 + 2xy
$$

Интегрируем $\frac{\partial u}{\partial x}$ по $x$:

$$
u(x, y) = \int (2xy + y^2) dx = x^2y + xy^2 + \varphi(y)
$$

Найдем $\frac{\partial u}{\partial y}$ и сравним его с $N(x, y)$:

$$
\frac{\partial u}{\partial y} = x^2 + 2xy + \varphi'(y) = x^2 + 2xy
$$

Отсюда находим $\varphi'(y) = 0$ и $\varphi(y) = C$, где $C$ - произвольная постоянная. Получаем функцию $u(x, y)$:

$$
u(x, y) = x^2y + xy^2 + C
$$

Общее решение уравнения (4):

$$
x^2y + xy^2 = C \tag{5}
$$

Пример 2. Решить уравнение:
$$
(ye^{xy} + 2x) dx + (xe^{xy} - 1) dy = 0 \tag{6}
$$

Решение. Проверим условие интегрируемости (3):

$$
\frac{\partial M}{\partial y} = \frac{\partial}{\partial y} (ye^{xy} + 2x) = e^{xy} + xye^{xy}, \quad \frac{\partial N}{\partial x} = \frac{\partial}{\partial x} (xe^{xy} - 1) = e^{xy} + xye^{xy}
$$

Условие интегрируемости выполняется, значит, уравнение (6) является уравнением в полных дифференциалах. Восстановим функцию $u(x, y)$ по ее полному дифференциалу:

$$
du = (ye^{xy} + 2x) dx + (xe^{xy} - 1) dy
$$

Найдем частные производные $\frac{\partial u}{\partial x}$ и $\frac{\partial u}{\partial y}$:

$$
\frac{\partial u}{\partial x} = ye^{xy} + 2x, \quad \frac{\partial u}{\partial y} = xe^{xy} - 1
$$

Интегрируем $\frac{\partial u}{\partial x}$ по $x$:

$$
u(x, y) = \int (ye^{xy} + 2x) dx = e^{xy} + x^2 + \varphi(y)
$$

Найдем $\frac{\partial u}{\partial y}$ и сравним его с $N(x, y)$:

$$
\frac{\partial u}{\partial y} = xe^{xy} + \varphi'(y) = xe^{xy} - 1
$$

Отсюда находим $\varphi'(y) = -1$ и $\varphi(y) = -y + C$, где $C$ - произвольная постоянная. Получаем функцию $u(x, y)$:

$$
u(x, y) = e^{xy} + x^2 - y + C
$$

Общее решение уравнения (6):

$$
e^{xy} + x^2 - y = C \tag{7}
$$


