	Суперпозиция функций. Замыкание системы функций. Свойства замыкания. Полная система функций. Теорема сведения.

# Суперпозиция функций
- **Суперпозиция** функции из множества A -
	1. любая выходная функция схемы, где разрешено использовать только функции множества A
	2. функция, которая может быть получена из A операциями _переименования переменных_ и _подстановки_
- **Полная система** функций - набор функциональных элементов, с помощью которых можно построить схему для любой функции

## Операции над функциями
1. **Переименование переменных** - переменным даются новые имена
	   $f(x_1, x_2, \dots, x_n) \rightarrow f(y_1, y_2, \dots, y_n)$
	   **Отождествление переменных** - разные переменные получают одно имя ($x_1 = x_2 = z$)
2. **Подстановка** - вместо переменной подставляется функция
	   $f(x_1, x_2, \dots, x_{k-1}, g(y_1, y_2, \dots, y_m), x_{k+1}, \dots, x_n)$
# Замыкание системы функций
- **Замыкание** множества А (\[A\]) -
	1. множество всех суперпозиций функция из A
	2. множество всех функций, для которых возможно построить схему с функциональными элементами А
- **Замкнутый** класс функций - класс функций, совпадающий со своим замыканием (A = \[A\])

# Свойства замыкания
- $A \subseteq [A]$
- $[[A]] = [A]$
- Если $A \subseteq B$, то $[A] \subseteq [B]$ ^02f9e1

# Полная система функций
$P_2$ - класс всех логических функций
**Полная система** функций -  ^ff2b6e
1. множество функций, где любая функция является суперпозицией функций из этого множества
2. множество A, что $[A] = P_2$

# Теорема сведения
###### Теорема
Пусть A и B - множества функций. A - полная система и каждая функция из A - суперпозиция функций из B. Тогда B - тоже полная система

###### Доказательство
Если A - суперпозиция функций из B, то $A \subseteq [B]$. По свойству замыкания, $[A] \subseteq [B]$. Т.к. A - полная система, то $[A] = P_2 \Rightarrow P_2 \subseteq [B]$

$P_2$ состоит из всех лог. функций, значит $[B] \subseteq P_2 \Rightarrow P_2 = [B]$, что значит, что B - полная система