# Числовые ряды. Общий член ряда, сумма ряда. Необходимое условие сходимости ряда.

## Числовые ряды

Числовой ряд — это бесконечная сумма чисел, представленная в виде:
$$ \sum_{n=1}^{\infty} a_n$$
где ($a_n$ ) — общий член ряда.

## Общий член ряда

Общий член ряда ( $a_n$ ) — это последовательность чисел, которая определяет каждый элемент ряда. Например, для геометрического ряда общий член может быть выражен как $( a_n = ar^n )$, где ( $a$ ) — первый член, а ( $r$ ) — отношение между последующими членами.

## Сумма ряда

Сумма ряда ( $S$ ) — это предел частичных сумм ( $S_n$ ):
$$ S = \lim_{n \to \infty} S_n $$
где ( $S_n$ = $\sum_{k=1}^{n}a_k$).

## Необходимое условие сходимости ряда

Необходимое условие сходимости ряда заключается в том, что если ряд ( $\sum_{n=1}^{\infty} a_n$) сходится, то его общий член ( $a_n$ ) должен стремиться к нулю при ( $n \to \infty$ ):
 $\lim_{n \to \infty} a_n = 0$

Однако это условие не является достаточным. Например, гармонический ряд ( $\sum_{n=1}^{\infty} \frac{1}{n}$ ) расходится, несмотря на то, что его общий член ( $\frac{1}{n}$ ) стремится к нулю.
## Примеры

1. **Геометрический ряд**:
$\sum_{n=0}^{\infty} ar^n$
Сходится, если ( $|r| < 1$ ).

2. **Гармонический ряд**:
$\sum_{n=1}^{\infty} \frac{1}{n}$
Расходится.
