# Функциональные ряды. Частичная сумма и сумма функционального ряда. Сходимость, область сходимости функционального ряда.

## Введение

Функциональные ряды — это ряды, члены которых являются функциями от переменной $x$. Они играют важную роль в математике и её приложениях. 

## Функциональные ряды

Функциональный ряд — это ряд вида:
$\sum_{n=1}^{\infty}f_n(x)$
где $f_n(x)$ — функции от переменной $x$.

## Частичная сумма и сумма функционального ряда

Частичная сумма функционального ряда — это сумма первых $n$ членов ряда:
$S_n(x)=\sum_{k=1}^{n}f_k(x)$

Сумма функционального ряда — это предел частичных сумм при $n\to\infty$:
$S(x)=\lim_{n\to\infty}S_n(x)$

## Сходимость функционального ряда

Функциональный ряд $\sum_{n=1}^{\infty}f_n(x)$ сходится в точке $x_0$, если существует конечный предел:
$\lim_{n\to\infty}S_n(x_0)$

## Область сходимости функционального ряда

Область сходимости функционального ряда — это множество всех точек $x$, в которых ряд сходится. Область сходимости может быть открытым или замкнутым интервалом, а также может состоять из отдельных точек.

## Признаки сходимости функциональных рядов

### Признак Вейерштрасса

Признак Вейерштрасса позволяет определить равномерную сходимость функционального ряда.

#### Формулировка признака Вейерштрасса

Пусть $\sum_{n=1}^{\infty}f_n(x)$ — функциональный ряд, и пусть существует ряд положительных чисел $\sum_{n=1}^{\infty}M_n$, такой что:
$|f_n(x)|\leq M_n$ для всех $x$ в области $D$ и для всех $n$.

Если ряд $\sum_{n=1}^{\infty}M_n$ сходится, то ряд $\sum_{n=1}^{\infty}f_n(x)$ равномерно сходится на $D$.

### Пример

Рассмотрим ряд $\sum_{n=1}^{\infty}\frac{\sin(nx)}{n^2}$.

Оценим $|f_n(x)|$:
$|\frac{\sin(nx)}{n^2}|\leq\frac{1}{n^2}$

Ряд $\sum_{n=1}^{\infty}\frac{1}{n^2}$ сходится, так как это обобщенный гармонический ряд с $p=2>1$. Следовательно, ряд $\sum_{n=1}^{\infty}\frac{\sin(nx)}{n^2}$ равномерно сходится на всей числовой прямой по признаку Вейерштрасса.
