# Равномерно сходящиеся функциональные ряды, связь между сходимостью и равномерной сходимостью функционального ряда

## Введение

Функциональные ряды — это ряды, члены которых являются функциями от переменной $x$. 

## Равномерная сходимость функциональных рядов

Функциональный ряд $\sum_{n=1}^{\infty}f_n(x)$ называется равномерно сходящимся на множестве $D$, если для любого $\epsilon>0$ существует такое число $N(\epsilon)$, что для всех $n\geq N(\epsilon)$ и для всех $x\in D$ выполняется неравенство:
$|S(x)-S_n(x)|<\epsilon$
где $S(x)=\sum_{n=1}^{\infty}f_n(x)$ — сумма ряда, а $S_n(x)=\sum_{k=1}^{n}f_k(x)$ — частичная сумма ряда.

## Связь между сходимостью и равномерной сходимостью

Равномерная сходимость функционального ряда влечет за собой его обычную сходимость, но обратное неверно. Равномерная сходимость обеспечивает более сильные свойства, такие как непрерывность суммы ряда и возможность почленного интегрирования и дифференцирования.

### Пример

Рассмотрим ряд $\sum_{n=1}^{\infty}\frac{\sin(nx)}{n^2}$.

Оценим $|f_n(x)|$:
$|\frac{\sin(nx)}{n^2}|\leq\frac{1}{n^2}$

Ряд $\sum_{n=1}^{\infty}\frac{1}{n^2}$ сходится, так как это обобщенный гармонический ряд с $p=2>1$. Следовательно, ряд $\sum_{n=1}^{\infty}\frac{\sin(nx)}{n^2}$ равномерно сходится на всей числовой прямой по признаку Вейерштрасса.

## Признак Вейерштрасса

Признак Вейерштрасса позволяет определить равномерную сходимость функционального ряда.

### Формулировка признака Вейерштрасса

Пусть $\sum_{n=1}^{\infty}f_n(x)$ — функциональный ряд, и пусть существует ряд положительных чисел $\sum_{n=1}^{\infty}M_n$, такой что:
$|f_n(x)|\leq M_n$ для всех $x$ в области $D$ и для всех $n$.

Если ряд $\sum_{n=1}^{\infty}M_n$ сходится, то ряд $\sum_{n=1}^{\infty}f_n(x)$ равномерно сходится на $D$.

### Пример

Рассмотрим ряд $\sum_{n=1}^{\infty}\frac{\cos(nx)}{n^3}$.

Оценим $|f_n(x)|$:
$|\frac{\cos(nx)}{n^3}|\leq\frac{1}{n^3}$

Ряд $\sum_{n=1}^{\infty}\frac{1}{n^3}$ сходится, так как это обобщенный гармонический ряд с $p=3>1$. Следовательно, ряд $\sum_{n=1}^{\infty}\frac{\cos(nx)}{n^3}$ равномерно сходится на всей числовой прямой по признаку Вейерштрасса.

