# Признак Вейерштрасса равномерной сходимости функционального ряда

## Введение

Признак Вейерштрасса является важным критерием для определения равномерной сходимости функциональных рядов. Он позволяет определить, сходится ли функциональный ряд равномерно на заданном множестве, основываясь на сходимости ряда из мажорант.

	**Мажоранта** (от majorer — повышать) — термин, который используется в математике для обозначения "Точная верхняя и нижняя границы").

## Признак Вейерштрасса

### Формулировка признака Вейерштрасса

Пусть $\sum_{n=1}^{\infty}f_n(x)$ — функциональный ряд, и пусть существует ряд положительных чисел $\sum_{n=1}^{\infty}M_n$, такой что:
$|f_n(x)|\leq M_n$ для всех $x$ в области $D$ и для всех $n$.

Если ряд $\sum_{n=1}^{\infty}M_n$ сходится, то ряд $\sum_{n=1}^{\infty}f_n(x)$ равномерно сходится на $D$.

### Доказательство признака Вейерштрасса

Рассмотрим частичные суммы ряда $S_n(x)=\sum_{k=1}^{n}f_k(x)$ и соответствующие частичные суммы ряда из мажорант $T_n=\sum_{k=1}^{n}M_k$.

Поскольку ряд $\sum_{n=1}^{\infty}M_n$ сходится, то последовательность $T_n$ ограничена. Это означает, что существует такое число $M$, что $T_n\leq M$ для всех $n$.

Теперь рассмотрим разность частичных сумм $S_m(x)-S_n(x)$ для $m>n$:
$|S_m(x)-S_n(x)|=|\sum_{k=n+1}^{m}f_k(x)|\leq\sum_{k=n+1}^{m}|f_k(x)|\leq\sum_{k=n+1}^{m}M_k=T_m-T_n$

Поскольку последовательность $T_n$ ограничена, то и разность $T_m-T_n$ ограничена. Следовательно, последовательность $S_n(x)$ является фундаментальной (последовательность Коши), а значит, равномерно сходится на $D$.

## Примеры

1. **Ряд $\sum_{n=1}^{\infty}\frac{\sin(nx)}{n^2}$**:
Рассмотрим ряд $\sum_{n=1}^{\infty}\frac{\sin(nx)}{n^2}$.

Оценим $|f_n(x)|$:
$|\frac{\sin(nx)}{n^2}|\leq\frac{1}{n^2}$

Ряд $\sum_{n=1}^{\infty}\frac{1}{n^2}$ сходится, так как это обобщенный гармонический ряд с $p=2>1$. Следовательно, ряд $\sum_{n=1}^{\infty}\frac{\sin(nx)}{n^2}$ равномерно сходится на всей числовой прямой по признаку Вейерштрасса.

2. **Ряд $\sum_{n=1}^{\infty}\frac{\cos(nx)}{n^3}$**:
Рассмотрим ряд $\sum_{n=1}^{\infty}\frac{\cos(nx)}{n^3}$.

Оценим $|f_n(x)|$:
$|\frac{\cos(nx)}{n^3}|\leq\frac{1}{n^3}$

Ряд $\sum_{n=1}^{\infty}\frac{1}{n^3}$ сходится, так как это обобщенный гармонический ряд с $p=3>1$. Следовательно, ряд $\sum_{n=1}^{\infty}\frac{\cos(nx)}{n^3}$ равномерно сходится на всей числовой прямой по признаку Вейерштрасса.
