# Свойства равномерно сходящихся рядов. Непрерывность суммы ряда. Теоремы о почленном интегрировании и почленном дифференцировании равномерно сходящегося функционального ряда.

## Свойства равномерно сходящихся рядов

### Непрерывность суммы ряда

Если функциональный ряд $\sum_{n=1}^{\infty}f_n(x)$ равномерно сходится на множестве $D$, и все функции $f_n(x)$ непрерывны на $D$, то сумма ряда $S(x)=\sum_{n=1}^{\infty}f_n(x)$ также непрерывна на $D$.

#### Доказательство

Пусть $\epsilon>0$. По определению равномерной сходимости, существует такое число $N(\epsilon)$, что для всех $n\geq N(\epsilon)$ и для всех $x\in D$ выполняется:
$|S(x)-S_n(x)|<\frac{\epsilon}{3}$

Поскольку $f_n(x)$ непрерывны, то и частичные суммы $S_n(x)$ непрерывны. Следовательно, для любого $x_0\in D$ существует такое $\delta>0$, что для всех $x\in D$ таких, что $|x-x_0|<\delta$, выполняется:
$|S_n(x)-S_n(x_0)|<\frac{\epsilon}{3}$

Тогда:
$|S(x)-S(x_0)|\leq|S(x)-S_n(x)|+|S_n(x)-S_n(x_0)|+|S_n(x_0)-S(x_0)|<\epsilon$

Таким образом, $S(x)$ непрерывна на $D$.

### Почленное интегрирование

Если функциональный ряд $\sum_{n=1}^{\infty}f_n(x)$ равномерно сходится на множестве $D$, и все функции $f_n(x)$ интегрируемы на $D$, то ряд можно интегрировать почленно:
$\int_{D}\sum_{n=1}^{\infty}f_n(x)dx=\sum_{n=1}^{\infty}\int_{D}f_n(x)dx$

#### Доказательство

Рассмотрим частичные суммы ряда $S_n(x)=\sum_{k=1}^{n}f_k(x)$. Поскольку ряд равномерно сходится, то:
$\int_{D}S(x)dx=\int_{D}\lim_{n\to\infty}S_n(x)dx=\lim_{n\to\infty}\int_{D}S_n(x)dx=\lim_{n\to\infty}\sum_{k=1}^{n}\int_{D}f_k(x)dx=\sum_{n=1}^{\infty}\int_{D}f_n(x)dx$

### Почленное дифференцирование

Если функциональный ряд $\sum_{n=1}^{\infty}f_n(x)$ равномерно сходится на множестве $D$, и ряд из производных $\sum_{n=1}^{\infty}f_n'(x)$ также равномерно сходится на $D$, то ряд можно дифференцировать почленно:
$S'(x)=\sum_{n=1}^{\infty}f_n'(x)$

#### Доказательство

Рассмотрим частичные суммы ряда $S_n(x)=\sum_{k=1}^{n}f_k(x)$. Поскольку ряд из производных равномерно сходится, то:
$S'(x)=\lim_{n\to\infty}S_n'(x)=\lim_{n\to\infty}\sum_{k=1}^{n}f_k'(x)=\sum_{n=1}^{\infty}f_n'(x)$

## Примеры

1. **Ряд $\sum_{n=1}^{\infty}\frac{\sin(nx)}{n^2}$**:
Рассмотрим ряд $\sum_{n=1}^{\infty}\frac{\sin(nx)}{n^2}$.

Оценим $|f_n(x)|$:
$|\frac{\sin(nx)}{n^2}|\leq\frac{1}{n^2}$

Ряд $\sum_{n=1}^{\infty}\frac{1}{n^2}$ сходится, так как это обобщенный гармонический ряд с $p=2>1$. Следовательно, ряд $\sum_{n=1}^{\infty}\frac{\sin(nx)}{n^2}$ равномерно сходится на всей числовой прямой по признаку Вейерштрасса.

Поскольку все функции $\frac{\sin(nx)}{n^2}$ непрерывны, то и сумма ряда $S(x)=\sum_{n=1}^{\infty}\frac{\sin(nx)}{n^2}$ непрерывна.

2. **Ряд $\sum_{n=1}^{\infty}\frac{\cos(nx)}{n^3}$**:
Рассмотрим ряд $\sum_{n=1}^{\infty}\frac{\cos(nx)}{n^3}$.

Оценим $|f_n(x)|$:
$|\frac{\cos(nx)}{n^3}|\leq\frac{1}{n^3}$

Ряд $\sum_{n=1}^{\infty}\frac{1}{n^3}$ сходится, так как это обобщенный гармонический ряд с $p=3>1$. Следовательно, ряд $\sum_{n=1}^{\infty}\frac{\cos(nx)}{n^3}$ равномерно сходится на всей числовой прямой по признаку Вейерштрасса.

Поскольку все функции $\frac{\cos(nx)}{n^3}$ непрерывны, то и сумма ряда $S(x)=\sum_{n=1}^{\infty}\frac{\cos(nx)}{n^3}$ непрерывна.
