# Степенной ряд. Первая теорема Абеля. Радиус сходимости. Интервал сходимости. Промежуток сходимости.

## Введение

Степенной ряд — это ряд вида $\sum_{n=0}^{\infty}a_nx^n$, где $a_n$ — коэффициенты, а $x$ — переменная. 

## Степенной ряд

Степенной ряд имеет вид:
$\sum_{n=0}^{\infty}a_nx^n$
где $a_n$ — коэффициенты, а $x$ — переменная.

## Радиус сходимости

Радиус сходимости степенного ряда $\sum_{n=0}^{\infty}a_nx^n$ — это число $R$, такое что ряд сходится для всех $|x|<R$ и расходится для всех $|x|>R$. Радиус сходимости можно найти с помощью формулы Коши-Адамара:
$R=\frac{1}{\limsup_{n\to\infty}\sqrt[n]{|a_n|}}$

## Интервал сходимости

Интервал сходимости степенного ряда — это интервал $(-R,R)$, где $R$ — радиус сходимости. Внутри этого интервала ряд сходится абсолютно.

## Промежуток сходимости

Промежуток сходимости степенного ряда — это интервал $(-R,R)$, включая возможные точки сходимости на границах интервала. Внутри промежутка сходимости ряд сходится абсолютно, а на границах сходимость ряда может зависеть от значений коэффициентов $a_n$.

## Первая теорема Абеля

Первая теорема Абеля утверждает, что если степенной ряд $\sum_{n=0}^{\infty}a_nx^n$ сходится в точке $x=R$ (где $R$ — радиус сходимости), то он сходится равномерно на интервале $[0,R]$.

### Формулировка первой теоремы Абеля

Пусть степенной ряд $\sum_{n=0}^{\infty}a_nx^n$ сходится в точке $x=R$. Тогда ряд сходится равномерно на интервале $[0,R]$.

### Доказательство

Рассмотрим частичные суммы ряда $S_n(x)=\sum_{k=0}^{n}a_kx^k$. Поскольку ряд сходится в точке $x=R$, то для любого $\epsilon>0$ существует такое число $N(\epsilon)$, что для всех $n\geq N(\epsilon)$ выполняется:
$|S(R)-S_n(R)|<\epsilon$

Теперь рассмотрим разность частичных сумм $S_m(x)-S_n(x)$ для $m>n$:
$|S_m(x)-S_n(x)|=|\sum_{k=n+1}^{m}a_kx^k|\leq\sum_{k=n+1}^{m}|a_kx^k|\leq\sum_{k=n+1}^{m}|a_kR^k|$

Поскольку ряд сходится в точке $x=R$, то и разность $\sum_{k=n+1}^{m}|a_kR^k|$ ограничена. Следовательно, последовательность $S_n(x)$ является фундаментальной (последовательность Коши), а значит, равномерно сходится на интервале $[0,R]$.

## Примеры

1. **Ряд $\sum_{n=0}^{\infty}\frac{x^n}{n!}$**:
Рассмотрим ряд $\sum_{n=0}^{\infty}\frac{x^n}{n!}$.

Найдем радиус сходимости:
$R=\frac{1}{\limsup_{n\to\infty}\sqrt[n]{|\frac{1}{n!}|}}=\infty$

Таким образом, ряд сходится для всех $x\in\mathbb{R}$.

2. **Ряд $\sum_{n=0}^{\infty}x^n$**:
Рассмотрим ряд $\sum_{n=0}^{\infty}x^n$.

Найдем радиус сходимости:
$R=\frac{1}{\limsup_{n\to\infty}\sqrt[n]{|1|}}=1$

Таким образом, ряд сходится для всех $|x|<1$ и расходится для всех $|x|>1$.
