# Формулы для вычисления радиуса сходимости степенного ряда

## Введение

Степенной ряд — это ряд вида $\sum_{n=0}^{\infty}a_nx^n$, где $a_n$ — коэффициенты, а $x$ — переменная. Радиус сходимости степенного ряда — это число $R$, такое что ряд сходится для всех $|x|<R$ и расходится для всех $|x|>R$. 

## Формула Коши-Адамара

Формула Коши-Адамара позволяет найти радиус сходимости степенного ряда $\sum_{n=0}^{\infty}a_nx^n$ с помощью предела:
$R=\frac{1}{\limsup_{n\to\infty}\sqrt[n]{|a_n|}}$

### Пример

Рассмотрим ряд $\sum_{n=0}^{\infty}\frac{x^n}{n!}$.

Найдем радиус сходимости:
$R=\frac{1}{\limsup_{n\to\infty}\sqrt[n]{|\frac{1}{n!}|}}=\infty$

Таким образом, ряд сходится для всех $x\in\mathbb{R}$.

## Формула Даламбера

Формула Даламбера позволяет найти радиус сходимости степенного ряда $\sum_{n=0}^{\infty}a_nx^n$ с помощью предела:
$R=\lim_{n\to\infty}\left|\frac{a_n}{a_{n+1}}\right|$

### Пример

Рассмотрим ряд $\sum_{n=0}^{\infty}n!x^n$.

Найдем радиус сходимости:
$R=\lim_{n\to\infty}\left|\frac{n!}{(n+1)!}\right|=\lim_{n\to\infty}\left|\frac{1}{n+1}\right|=0$

Таким образом, ряд сходится только в точке $x=0$.

## Формула Коши

Формула Коши позволяет найти радиус сходимости степенного ряда $\sum_{n=0}^{\infty}a_nx^n$ с помощью предела:
$R=\lim_{n\to\infty}\sqrt[n]{|a_n|}$

### Пример

Рассмотрим ряд $\sum_{n=0}^{\infty}x^n$.

Найдем радиус сходимости:
$R=\lim_{n\to\infty}\sqrt[n]{|1|}=1$

Таким образом, ряд сходится для всех $|x|<1$ и расходится для всех $|x|>1$.
