# Почленное интегрирование и дифференцирование степенных рядов

## Почленное интегрирование степенных рядов

### Теорема о почленном интегрировании

Пусть степенной ряд $\sum_{n=0}^{\infty}a_nx^n$ сходится на интервале $(-R,R)$. Тогда ряд можно интегрировать почленно на любом замкнутом интервале $[a,b]\subset(-R,R)$:
$\int_{a}^{b}\left(\sum_{n=0}^{\infty}a_nx^n\right)dx=\sum_{n=0}^{\infty}\int_{a}^{b}a_nx^ndx$

### Доказательство

Поскольку ряд $\sum_{n=0}^{\infty}a_nx^n$ равномерно сходится на любом замкнутом интервале $[a,b]\subset(-R,R)$, то можно почленно интегрировать ряд:
$\int_{a}^{b}\left(\sum_{n=0}^{\infty}a_nx^n\right)dx=\int_{a}^{b}\lim_{N\to\infty}\sum_{n=0}^{N}a_nx^ndx=\lim_{N\to\infty}\int_{a}^{b}\sum_{n=0}^{N}a_nx^ndx=\lim_{N\to\infty}\sum_{n=0}^{N}\int_{a}^{b}a_nx^ndx=\sum_{n=0}^{\infty}\int_{a}^{b}a_nx^ndx$

### Пример

Рассмотрим ряд $\sum_{n=0}^{\infty}\frac{x^n}{n!}$.

Найдем радиус сходимости:
$R=\frac{1}{\limsup_{n\to\infty}\sqrt[n]{|\frac{1}{n!}|}}=\infty$

Таким образом, ряд сходится для всех $x\in\mathbb{R}$. Почленно интегрируем ряд на интервале $[0,1]$:
$\int_{0}^{1}\left(\sum_{n=0}^{\infty}\frac{x^n}{n!}\right)dx=\sum_{n=0}^{\infty}\int_{0}^{1}\frac{x^n}{n!}dx=\sum_{n=0}^{\infty}\frac{1}{n!}\int_{0}^{1}x^ndx=\sum_{n=0}^{\infty}\frac{1}{n!}\left[\frac{x^{n+1}}{n+1}\right]_{0}^{1}=\sum_{n=0}^{\infty}\frac{1}{n!(n+1)}=e-1$

## Почленное дифференцирование степенных рядов

### Теорема о почленном дифференцировании

Пусть степенной ряд $\sum_{n=0}^{\infty}a_nx^n$ сходится на интервале $(-R,R)$. Тогда ряд можно дифференцировать почленно на этом интервале:
$\left(\sum_{n=0}^{\infty}a_nx^n\right)'=\sum_{n=0}^{\infty}\left(a_nx^n\right)'=\sum_{n=1}^{\infty}na_nx^{n-1}$

### Доказательство

Поскольку ряд $\sum_{n=0}^{\infty}a_nx^n$ равномерно сходится на любом замкнутом интервале $[a,b]\subset(-R,R)$, то можно почленно дифференцировать ряд:
$\left(\sum_{n=0}^{\infty}a_nx^n\right)'=\lim_{N\to\infty}\left(\sum_{n=0}^{N}a_nx^n\right)'=\lim_{N\to\infty}\sum_{n=0}^{N}\left(a_nx^n\right)'=\lim_{N\to\infty}\sum_{n=1}^{N}na_nx^{n-1}=\sum_{n=1}^{\infty}na_nx^{n-1}$

### Пример

Рассмотрим ряд $\sum_{n=0}^{\infty}\frac{x^n}{n!}$.

Найдем радиус сходимости:
$R=\frac{1}{\limsup_{n\to\infty}\sqrt[n]{|\frac{1}{n!}|}}=\infty$

Таким образом, ряд сходится для всех $x\in\mathbb{R}$. Почленно дифференцируем ряд:
$\left(\sum_{n=0}^{\infty}\frac{x^n}{n!}\right)'=\sum_{n=1}^{\infty}\frac{nx^{n-1}}{n!}=\sum_{n=1}^{\infty}\frac{x^{n-1}}{(n-1)!}=\sum_{n=0}^{\infty}\frac{x^n}{n!}=e^x$
