# Гармонический и обобщенный гармонический ряды и их сходимость

## Гармонический ряд

Гармонический ряд — это бесконечная сумма чисел, представленная в виде:
$\sum_{n=1}^{\infty} \frac{1}{n}$

### Сходимость гармонического ряда

Гармонический ряд расходится. Это можно доказать, используя признак сравнения или интегральный признак. Например, рассмотрим частичные суммы гармонического ряда:
$S_n = \sum_{k=1}^{n} \frac{1}{k}$

Для больших значений $n$, частичные суммы $S_n$ можно аппроксимировать как:
$S_n \approx \ln(n) + \gamma$
где $\gamma$ — постоянная Эйлера-Маскерони.

Поскольку $\ln(n) \to \infty$ при $n \to \infty$, то и $S_n \to \infty$, что означает расходимость гармонического ряда.

## Обобщенный гармонический ряд

Обобщенный гармонический ряд имеет вид:
$\sum_{n=1}^{\infty} \frac{1}{n^p}$
где $p$ — положительное число.

### Сходимость обобщенного гармонического ряда

Сходимость обобщенного гармонического ряда зависит от значения $p$:
- Если $p > 1$, то ряд сходится.
- Если $p \leq 1$, то ряд расходится.

Это можно доказать, используя интегральный признак. Рассмотрим интеграл:
$\int_{1}^{\infty} \frac{1}{x^p} dx$

Для $p > 1$:
$\int_{1}^{\infty} \frac{1}{x^p} dx = \left[ \frac{x^{1-p}}{1-p} \right]_{1}^{\infty} = \frac{1}{p-1}$

Для $p \leq 1$:
$\int_{1}^{\infty} \frac{1}{x^p} dx$ расходится.

Таким образом, обобщенный гармонический ряд сходится при $p > 1$ и расходится при $p \leq 1$.

## Примеры

1. **Гармонический ряд**:
$\sum_{n=1}^{\infty} \frac{1}{n}$
Расходится.

2. **Обобщенный гармонический ряд с $p = 2$**:
$\sum_{n=1}^{\infty} \frac{1}{n^2}$
Сходится, так как $p = 2 > 1$.

3. **Обобщенный гармонический ряд с $p = \frac{1}{2}$**:
$\sum_{n=1}^{\infty} \frac{1}{n^{1/2}}$
Расходится, так как $p = \frac{1}{2} \leq 1$.
