# Тригонометрический ряд Фурье. Коэффициенты Фурье. Достаточное условие разложимости $2\pi$-периодической функции в ряд Фурье.

## Введение

Тригонометрический ряд Фурье — это разложение периодической функции в сумму синусоидальных и косинусоидальных функций. 

## Тригонометрический ряд Фурье

Тригонометрический ряд Фурье для $2\pi$-периодической функции $f(x)$ имеет вид:
$f(x)=\frac{a_0}{2}+\sum_{n=1}^{\infty}(a_n\cos(nx)+b_n\sin(nx))$

где $a_n$ и $b_n$ — коэффициенты Фурье.

## Коэффициенты Фурье

Коэффициенты Фурье $a_n$ и $b_n$ определяются следующими формулами:
$a_n=\frac{1}{\pi}\int_{-\pi}^{\pi}f(x)\cos(nx)dx$
$b_n=\frac{1}{\pi}\int_{-\pi}^{\pi}f(x)\sin(nx)dx$

### Пример

Рассмотрим функцию $f(x)=x$ на интервале $[-\pi,\pi]$.

Вычислим коэффициенты Фурье:
$a_0=\frac{1}{\pi}\int_{-\pi}^{\pi}xdx=0$
$a_n=\frac{1}{\pi}\int_{-\pi}^{\pi}x\cos(nx)dx=0$
$b_n=\frac{1}{\pi}\int_{-\pi}^{\pi}x\sin(nx)dx=\frac{2(-1)^{n+1}}{n}$

Таким образом, ряд Фурье для функции $f(x)=x$ имеет вид:
$f(x)=2\sum_{n=1}^{\infty}\frac{(-1)^{n+1}}{n}\sin(nx)$

## Достаточное условие разложимости в ряд Фурье

### Теорема

Пусть $f(x)$ — $2\pi$-периодическая функция, которая является кусочно-непрерывной и кусочно-гладкой на интервале $[-\pi,\pi]$. Тогда $f(x)$ разлагается в ряд Фурье, который сходится к $f(x)$ в каждой точке непрерывности и к среднему значению односторонних пределов в точках разрыва.

### Доказательство

Доказательство этой теоремы основано на теореме Дирихле о сходимости ряда Фурье. Теорема Дирихле утверждает, что если функция $f(x)$ кусочно-непрерывна и кусочно-гладкая на интервале $[-\pi,\pi]$, то её ряд Фурье сходится к $f(x)$ в каждой точке непрерывности и к среднему значению односторонних пределов в точках разрыва.

## Примеры

1. **Функция $f(x)=|x|$ на интервале $[-\pi,\pi]$**:
Вычислим коэффициенты Фурье:
$a_0=\frac{1}{\pi}\int_{-\pi}^{\pi}|x|dx=\pi$
$a_n=\frac{1}{\pi}\int_{-\pi}^{\pi}|x|\cos(nx)dx=\frac{2(1-(-1)^n)}{\pi n^2}$
$b_n=\frac{1}{\pi}\int_{-\pi}^{\pi}|x|\sin(nx)dx=0$

Таким образом, ряд Фурье для функции $f(x)=|x|$ имеет вид:
$f(x)=\frac{\pi}{2}+\frac{2}{\pi}\sum_{n=1}^{\infty}\frac{1-(-1)^n}{n^2}\cos(nx)$

2. **Функция $f(x)=x^2$ на интервале $[-\pi,\pi]$**:
Вычислим коэффициенты Фурье:
$a_0=\frac{1}{\pi}\int_{-\pi}^{\pi}x^2dx=\frac{2\pi^2}{3}$
$a_n=\frac{1}{\pi}\int_{-\pi}^{\pi}x^2\cos(nx)dx=\frac{4(-1)^n}{n^2}$
$b_n=\frac{1}{\pi}\int_{-\pi}^{\pi}x^2\sin(nx)dx=0$

Таким образом, ряд Фурье для функции $f(x)=x^2$ имеет вид:
$f(x)=\frac{\pi^2}{3}+4\sum_{n=1}^{\infty}\frac{(-1)^n}{n^2}\cos(nx)$
