# Разложение в ряд Фурье четных и нечетных функций

## Введение

Ряд Фурье позволяет разложить периодическую функцию в сумму синусоидальных и косинусоидальных функций.
## Четные функции

Четная функция $f(x)$ удовлетворяет условию $f(x)=f(-x)$. Ряд Фурье для четной функции содержит только косинусоидальные члены:
$f(x)=\frac{a_0}{2}+\sum_{n=1}^{\infty}a_n\cos(nx)$

где коэффициенты $a_n$ определяются следующими формулами:
$a_0=\frac{1}{\pi}\int_{-\pi}^{\pi}f(x)dx$
$a_n=\frac{1}{\pi}\int_{-\pi}^{\pi}f(x)\cos(nx)dx$

### Пример

Рассмотрим четную функцию $f(x)=|x|$ на интервале $[-\pi,\pi]$.

Вычислим коэффициенты Фурье:
$a_0=\frac{1}{\pi}\int_{-\pi}^{\pi}|x|dx=\pi$
$a_n=\frac{1}{\pi}\int_{-\pi}^{\pi}|x|\cos(nx)dx=\frac{2(1-(-1)^n)}{\pi n^2}$

Таким образом, ряд Фурье для функции $f(x)=|x|$ имеет вид:
$f(x)=\frac{\pi}{2}+\frac{2}{\pi}\sum_{n=1}^{\infty}\frac{1-(-1)^n}{n^2}\cos(nx)$

## Нечетные функции

Нечетная функция $f(x)$ удовлетворяет условию $f(x)=-f(-x)$. Ряд Фурье для нечетной функции содержит только синусоидальные члены:
$f(x)=\sum_{n=1}^{\infty}b_n\sin(nx)$

где коэффициенты $b_n$ определяются следующими формулами:
$b_n=\frac{1}{\pi}\int_{-\pi}^{\pi}f(x)\sin(nx)dx$

### Пример

Рассмотрим нечетную функцию $f(x)=x$ на интервале $[-\pi,\pi]$.

Вычислим коэффициенты Фурье:
$b_n=\frac{1}{\pi}\int_{-\pi}^{\pi}x\sin(nx)dx=\frac{2(-1)^{n+1}}{n}$

Таким образом, ряд Фурье для функции $f(x)=x$ имеет вид:
$f(x)=2\sum_{n=1}^{\infty}\frac{(-1)^{n+1}}{n}\sin(nx)$
