# Разложение в ряд Фурье непериодической функции

## Введение

Ряд Фурье обычно используется для разложения периодических функций. Однако, для непериодических функций можно использовать интегральное преобразование Фурье.

## Интегральное преобразование Фурье

Интегральное преобразование Фурье функции $f(x)$ определяется следующим образом:
$F(\omega)=\int_{-\infty}^{\infty}f(x)e^{-i\omega x}dx$

где $F(\omega)$ — преобразование Фурье функции $f(x)$.

## Обратное преобразование Фурье

Обратное преобразование Фурье позволяет восстановить функцию $f(x)$ из её преобразования Фурье $F(\omega)$:
$f(x)=\frac{1}{2\pi}\int_{-\infty}^{\infty}F(\omega)e^{i\omega x}d\omega$

## Примеры

### Пример 1: Функция $f(x)=e^{-|x|}$

Рассмотрим функцию $f(x)=e^{-|x|}$.

Вычислим преобразование Фурье:
$F(\omega)=\int_{-\infty}^{\infty}e^{-|x|}e^{-i\omega x}dx=\int_{-\infty}^{0}e^{x}e^{-i\omega x}dx+\int_{0}^{\infty}e^{-x}e^{-i\omega x}dx$

Рассчитаем интегралы:
$F(\omega)=\left[\frac{e^{(1-i\omega)x}}{1-i\omega}\right]_{-\infty}^{0}+\left[\frac{e^{-(1+i\omega)x}}{-(1+i\omega)}\right]_{0}^{\infty}=\frac{1}{1+\omega^2}$

Теперь восстановим функцию $f(x)$ с помощью обратного преобразования Фурье:
$f(x)=\frac{1}{2\pi}\int_{-\infty}^{\infty}\frac{1}{1+\omega^2}e^{i\omega x}d\omega$

### Пример 2: Функция $f(x)=e^{-x^2}$

Рассмотрим функцию $f(x)=e^{-x^2}$.

Вычислим преобразование Фурье:
$F(\omega)=\int_{-\infty}^{\infty}e^{-x^2}e^{-i\omega x}dx$

Используем известный результат:
$F(\omega)=\sqrt{\pi}e^{-\omega^2/4}$

Теперь восстановим функцию $f(x)$ с помощью обратного преобразования Фурье:
$f(x)=\frac{1}{2\pi}\int_{-\infty}^{\infty}\sqrt{\pi}e^{-\omega^2/4}e^{i\omega x}d\omega$
