# Знакопеременные ряды. Теорема Коши о сходимости абсолютно сходящегося ряда.

## Введение

Знакопеременные ряды — это ряды, члены которых могут быть как положительными, так и отрицательными. Одним из важных понятий в теории рядов является абсолютная сходимость. Теорема Коши о сходимости абсолютно сходящегося ряда утверждает, что абсолютная сходимость ряда влечет за собой его обычную сходимость.

## Абсолютная сходимость

Ряд $\sum_{n=1}^{\infty}a_n$ называется абсолютно сходящимся, если ряд $\sum_{n=1}^{\infty}|a_n|$ сходится.

## Теорема Коши о сходимости абсолютно сходящегося ряда

Теорема Коши утверждает, что если ряд $\sum_{n=1}^{\infty}a_n$ абсолютно сходится, то он также сходится в обычном смысле.

### Формулировка теоремы

Пусть $\sum_{n=1}^{\infty}a_n$ — абсолютно сходящийся ряд, то есть $\sum_{n=1}^{\infty}|a_n|$ сходится. Тогда ряд $\sum_{n=1}^{\infty}a_n$ также сходится.

### Доказательство

Рассмотрим частичные суммы ряда $S_n=\sum_{k=1}^{n}a_k$ и соответствующие частичные суммы ряда из абсолютных значений $T_n=\sum_{k=1}^{n}|a_k|$.

Поскольку ряд $\sum_{n=1}^{\infty}|a_n|$ сходится, то последовательность $T_n$ ограничена. Это означает, что существует такое число $M$, что $T_n\leq M$ для всех $n$.

Теперь рассмотрим разность частичных сумм $S_m-S_n$ для $m>n$:
$|S_m-S_n|=|\sum_{k=n+1}^{m}a_k|\leq\sum_{k=n+1}^{m}|a_k|=T_m-T_n$

Поскольку последовательность $T_n$ ограничена, то и разность $T_m-T_n$ ограничена. Следовательно, последовательность $S_n$ является фундаментальной (последовательность Коши), а значит, сходится.

Таким образом, если ряд $\sum_{n=1}^{\infty}a_n$ абсолютно сходится, то он также сходится в обычном смысле.

## Примеры

1. **Ряд $\sum_{n=1}^{\infty}(-1)^{n+1}\frac{1}{n^2}$**:
Рассмотрим ряд $\sum_{n=1}^{\infty}(-1)^{n+1}\frac{1}{n^2}$.

Ряд из абсолютных значений $\sum_{n=1}^{\infty}\frac{1}{n^2}$ сходится, так как это обобщенный гармонический ряд с $p=2>1$. Следовательно, ряд $\sum_{n=1}^{\infty}(-1)^{n+1}\frac{1}{n^2}$ абсолютно сходится и, следовательно, сходится в обычном смысле.

2. **Ряд $\sum_{n=1}^{\infty}(-1)^{n+1}\frac{1}{n}$**:
Рассмотрим ряд $\sum_{n=1}^{\infty}(-1)^{n+1}\frac{1}{n}$.

Ряд из абсолютных значений $\sum_{n=1}^{\infty}\frac{1}{n}$ расходится, так как это гармонический ряд. Следовательно, ряд $\sum_{n=1}^{\infty}(-1)^{n+1}\frac{1}{n}$ не является абсолютно сходящимся, но он сходится по признаку Лейбница.

