# Абсолютно сходящиеся ряды и их свойства

## Введение

Абсолютно сходящиеся ряды — это ряды, для которых ряд из абсолютных значений их членов сходится. Абсолютная сходимость является более сильным свойством по сравнению с обычной сходимостью и имеет ряд важных свойств.

## Определение абсолютной сходимости

Ряд $\sum_{n=1}^{\infty}a_n$ называется абсолютно сходящимся, если ряд $\sum_{n=1}^{\infty}|a_n|$ сходится.

## Свойства абсолютно сходящихся рядов

### 1. Абсолютная сходимость влечет за собой обычную сходимость

Если ряд $\sum_{n=1}^{\infty}a_n$ абсолютно сходится, то он также сходится в обычном смысле. Это следует из теоремы Коши о сходимости абсолютно сходящегося ряда.

### 2. Перестановка членов абсолютно сходящегося ряда

Если ряд $\sum_{n=1}^{\infty}a_n$ абсолютно сходится, то любая перестановка его членов также сходится и имеет ту же сумму. Это свойство не выполняется для условно сходящихся рядов (рядов, которые сходятся, но не абсолютно).

### 3. Линейность абсолютной сходимости

Если ряды $\sum_{n=1}^{\infty}a_n$ и $\sum_{n=1}^{\infty}b_n$ абсолютно сходятся, то их линейная комбинация $\sum_{n=1}^{\infty}(\alpha a_n+\beta b_n)$ также абсолютно сходится для любых констант $\alpha$ и $\beta$.

### 4. Произведение абсолютно сходящихся рядов

Если ряды $\sum_{n=1}^{\infty}a_n$ и $\sum_{n=1}^{\infty}b_n$ абсолютно сходятся, то их произведение $\sum_{n=1}^{\infty}c_n$, где $c_n=\sum_{k=1}^{n}a_kb_{n-k}$, также абсолютно сходится.

## Примеры

1. **Ряд $\sum_{n=1}^{\infty}(-1)^{n+1}\frac{1}{n^2}$**:
Рассмотрим ряд $\sum_{n=1}^{\infty}(-1)^{n+1}\frac{1}{n^2}$.

Ряд из абсолютных значений $\sum_{n=1}^{\infty}\frac{1}{n^2}$ сходится, так как это обобщенный гармонический ряд с $p=2>1$. Следовательно, ряд $\sum_{n=1}^{\infty}(-1)^{n+1}\frac{1}{n^2}$ абсолютно сходится и, следовательно, сходится в обычном смысле.

2. **Ряд $\sum_{n=1}^{\infty}(-1)^{n+1}\frac{1}{n}$**:
Рассмотрим ряд $\sum_{n=1}^{\infty}(-1)^{n+1}\frac{1}{n}$.

Ряд из абсолютных значений $\sum_{n=1}^{\infty}\frac{1}{n}$ расходится, так как это гармонический ряд. Следовательно, ряд $\sum_{n=1}^{\infty}(-1)^{n+1}\frac{1}{n}$ не является абсолютно сходящимся, но он сходится по признаку Лейбница.
